Bug 501357 - postinstall scriptlet of oprofile fails
postinstall scriptlet of oprofile fails
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: oprofile (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: William Cohen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-18 13:41 EDT by Bruce Jerrick
Modified: 2009-08-11 18:34 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.9.4-12.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 507556 (view as bug list)
Environment:
Last Closed: 2009-08-11 18:34:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bruce Jerrick 2009-05-18 13:41:43 EDT
Description of problem:
The postinstall scriptlet of oprofile fails during installation
of Fedora 11 (rawhide).

Version-Release number of selected component (if applicable):
oprofile-0.9.4-6.fc11

How reproducible:
Depends on the exact package mix.  Always happens if oprofile
gets installed before shadow-utils .

Steps to Reproduce:
1. Install Fedora 11 OS, with oprofile included.
2. grep -A 2 "Installing oprofile" /root/install.log
  
Actual results:
Installing oprofile-0.9.4-6.fc11.i586
/var/tmp/rpm-tmp.aoVzhx: line 1: groupadd: command not found
/var/tmp/rpm-tmp.aoVzhx: line 3: useradd: command not found

Expected results:
No error message in /root/install.log .

Additional info:
Examination of the postinstall scriptlet also shows the problem.
Fix is to add these to oprofile.spec:

    Requires(pre): /usr/sbin/groupadd
    Requires(pre): /usr/sbin/useradd
Comment 1 Bug Zapper 2009-06-09 12:03:44 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 William Cohen 2009-07-16 15:08:22 EDT
Added the following line to the oprofile.spec:

Requires(pre): shadow-utils

oprofile-0.9.4-12 being put through koji build system for F-10, F-11, and rawhide.
Comment 3 Fedora Update System 2009-07-16 16:19:19 EDT
oprofile-0.9.4-12.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/oprofile-0.9.4-12.fc11
Comment 4 William Cohen 2009-07-20 11:11:22 EDT
Could someone check that the revised oprofile rpms build for F-10/F-11/rawhide resolve this problem?
Comment 5 Fedora Update System 2009-07-22 17:41:12 EDT
oprofile-0.9.4-12.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update oprofile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-7806
Comment 6 Fedora Update System 2009-08-11 18:34:31 EDT
oprofile-0.9.4-12.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.